## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- File List
- File Members

# imesh/particles.h File Reference

Particle System Interface. More...

`#include "csutil/scf.h"`
`#include "csgeom/vector3.h"`
`#include "csgeom/vector4.h"`
`#include "csutil/array.h"`
`#include "csutil/cscolor.h"`

Go to the source code of this file.

## Classes

struct | csParticlesData
| Representational information of a particle. More...
struct | iParticlesColorCallback
| Particles state can be set up to retrieve color via a callback. More...
struct | iParticlesFactoryState
| Particles factory state. More...
struct | iParticlesObjectState
| Particles state object. More...
struct | iParticlesPhysics
| Particles physics interface. More...
struct | iParticlesStateBase
| Particles shared state interface. More...

## Enumerations

enum | csParticleColorMethod
| Particle heat function. More...
enum | csParticleEmitType
| Particle emit type. More...
enum | csParticleFalloffType
| Particle force falloff type. More...
enum | csParticleForceType
| Particle force type. More...

## Detailed Description

Particle System Interface.

Definition in file particles.h.